Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar
Interface ExpressionVisitorVoid

All Known Subinterfaces:
  RELAXExpressionVisitorVoid

All Known Implementing Classes:
  CombinedChildContentExpCreator, DblAttrConstraintChecker, ExpressionWalker, IdAbuseChecker, PatternWriter, RunAwayExpressionChecker

public interface ExpressionVisitorVoid

ExpressionVisitor that returns void.

Author:
  Kohsuke KAWAGUCHI

Method Summary
`void` | `onAnyString()`
`void` | `onAttribute(AttributeExp exp)`
`void` | `onChoice(ChoiceExp exp)`
`void` | `onConcur(ConcurExp exp)`
`void` | `onData(DataExp exp)`
`void` | `onElement(ElementExp exp)`
`void` | `onEpsilon()`
`void` | `onInterleave(InterleaveExp exp)`
`void` | `onList(ListExp exp)`
`void` | `onMixed(MixedExp exp)`
`void` | `onNullSet()`
`void` | `onOneOrMore(OneOrMoreExp exp)`
`void` | `onOther(OtherExp exp)`
`void` | `onRef(ReferenceExp exp)`
`void` | `onSequence(SequenceExp exp)`
`void` | `onValue(ValueExp exp)`

Method Detail

### onAttribute

    public void onAttribute(AttributeExp exp)

### onChoice

    public void onChoice(ChoiceExp exp)

### onElement

    public void onElement(ElementExp exp)

### onOneOrMore

    public void onOneOrMore(OneOrMoreExp exp)

### onMixed

    public void onMixed(MixedExp exp)

### onList

    public void onList(ListExp exp)

### onRef

    public void onRef(ReferenceExp exp)

### onOther

    public void onOther(OtherExp exp)

### onEpsilon

    public void onEpsilon()

### onNullSet

    public void onNullSet()

### onAnyString

    public void onAnyString()

### onSequence

    public void onSequence(SequenceExp exp)

### onData

    public void onData(DataExp exp)

### onValue

    public void onValue(ValueExp exp)

### onConcur

    public void onConcur(ConcurExp exp)

### onInterleave

    public void onInterleave(InterleaveExp exp)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD